WinNT.POWER_ACTION_POLICY (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinNT, class: POWER_ACTION_POLICY

Package com.sun.jna.platform.win32

# Class WinNT.POWER_ACTION_POLICY

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinNT.POWER_ACTION_POLICY

Enclosing interface:
  WinNT

@FieldOrder({"Action","Flags","EventCode"}) public static class WinNT.POWER_ACTION_POLICY extends Structure
Contains information used to set the system power state.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `Action`
  `int`
  `EventCode`
  `int`
  `Flags`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `POWER_ACTION_POLICY()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### Action

    public int Action

  - ### Flags

    public int Flags

  - ### EventCode

    public int EventCode

- ## Constructor Details

  - ### POWER_ACTION_POLICY

    public POWER_ACTION_POLICY()